Website for the "Wem gehört Hamburg?" project.
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
_data move stuff around to top for siteleaf to work Feb 5, 2018
_includes updating timeline for november as per jonathan Oct 18, 2018
_layouts set html `lang` attribute May 29, 2018
_pages Updated Index Jul 10, 2018
_posts move stuff around to top for siteleaf to work Feb 5, 2018
_uploads Added Sharedeal2.Jpg 1280x700 Q85 Crop Subject Location 2448,1632 Sub… Jul 10, 2018
assets updating timeline for november as per jonathan Oct 18, 2018
config
.babelrc Initialize Jekyll/Webpack Jan 31, 2018
.editorconfig
.gitignore Ignore .vscode Jan 31, 2018
.ruby-version Initialize Jekyll/Webpack Jan 31, 2018
Gemfile Initialize Jekyll/Webpack Jan 31, 2018
Gemfile.lock Update outdated dependencies Aug 17, 2018
README.md Update outdated dependencies Aug 17, 2018
_config.yml Updated Config Feb 5, 2018
humans.txt
notes.txt initial commit 🚗☀️ Mar 3, 2017
package-lock.json Update outdated dependencies Aug 17, 2018
package.json update node-sass to get rid of hoek vulnerability May 2, 2018
test.markdown
yarn.lock update node-sass to get rid of hoek vulnerability May 2, 2018

README.md

Jekyll - Webpack Static Website Starter

About

Starter files you can use to bootstrap new projects.

Ideal for:

  • Marketing teams that need to iterate website quickly
  • Setting up small client projects fast
  • Legitamizing business ideas
  • Experimenting with react (included) or other technologies
  • deploying to AWS, Netlify, or other static site hosting

This example currently contains React, but this could be easily replaced with Vue, Preact, etc.

Set up

Requirements

  • Node >= 6.10.2
  • NPM >= 5.1.0
  • Ruby >= 2.3.0
  • Jekyll >= 3.3.1
  • Bundler >= 1.14.4

Install

  1. Fork this repo to your github account
  2. Clone to your computer
  3. Run set-up scripts
bundle install && npm install

Usage

Starting the project

npm run dev

Building for production

npm run build

Troubleshooting

Node Sass could not find a binding for your current environment: Linux 64-bit with Node.js 8.x

npm rebuild node-sass